using VetClinicContracts.BindingModels;
using VetClinicContracts.SearchModels;
using VetClinicContracts.ViewModels;

namespace VetClinicContracts.StoragesContracts
{
    public interface IAdminStorage
    {
        List<AdminViewModel> GetFullList();
        List<AdminViewModel> GetFilteredList(AdminSearchModel model);
        AdminViewModel? GetElement(AdminSearchModel model);
        AdminViewModel? Insert(AdminBindingModel model);
        AdminViewModel? Update(AdminBindingModel model);
        AdminViewModel? Delete(AdminBindingModel model);
    }
}
